org.jboss.logging.processor.model

## Enum Parameter.ParameterType

- java.lang.Object
- - java.lang.Enum<Parameter.ParameterType>
  - - org.jboss.logging.processor.model.Parameter.ParameterType

All Implemented Interfaces:
  Serializable, Comparable<Parameter.ParameterType>

Enclosing interface:
  Parameter

    public static enum Parameter.ParameterType
    extends Enum<Parameter.ParameterType>

The types of parameters.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANY` Indicates the parameter can be any other type.
`CAUSE` Indicates the parameter is a cause parameter and needs to be set in the `throwable` return type.
`CONSTRUCTION` Indicates the parameter should be used in the construction of a `throwable` return type.
`FIELD` Indicates the parameter is a instance field that should be set in the `throwable` return type.
`FORMAT` Indicates the parameter should be used as a format parameter.
`FQCN` Indicates the parameter should be used as the fully qualified class name for the logger.
`MESSAGE` Indicates the parameter is the message.
`POS` Indicates the parameter is a positional parameter.
`PROPERTY` Indicates the parameter is a property and should be set via its setter in the `throwable` return type.
`TRANSFORM` Transforms the parameter using the `transform type`.

### Method Summary

Methods
`static Parameter.ParameterType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Parameter.ParameterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ANY

    public static final Parameter.ParameterType ANY

Indicates the parameter can be any other type. All parameters fall under this category.

#### CAUSE

    public static final Parameter.ParameterType CAUSE

Indicates the parameter is a cause parameter and needs to be set in the `throwable` return type.

#### FORMAT

    public static final Parameter.ParameterType FORMAT

Indicates the parameter should be used as a format parameter.

#### FQCN

    public static final Parameter.ParameterType FQCN

Indicates the parameter should be used as the fully qualified class name for the logger.

#### MESSAGE

    public static final Parameter.ParameterType MESSAGE

Indicates the parameter is the message.

#### CONSTRUCTION

    public static final Parameter.ParameterType CONSTRUCTION

Indicates the parameter should be used in the construction of a `throwable` return type.

#### FIELD

    public static final Parameter.ParameterType FIELD

Indicates the parameter is a instance field that should be set in the `throwable` return type.

#### PROPERTY

    public static final Parameter.ParameterType PROPERTY

Indicates the parameter is a property and should be set via its setter in the `throwable` return type.

#### TRANSFORM

    public static final Parameter.ParameterType TRANSFORM

Transforms the parameter using the `transform type`.

#### POS

    public static final Parameter.ParameterType POS

Indicates the parameter is a positional parameter.

### Method Detail

#### values

    public static Parameter.ParameterType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Parameter.ParameterType c : Parameter.ParameterType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Parameter.ParameterType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null